Access Restriction Bypass Affecting org.dspace:dspace-server-webapp Open this link in a new tab package, versions [7.0-beta1, 7.0-beta4.1)


0.0
medium
  • Attack Complexity

    High

  • Confidentiality

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGDSPACE-1083819

  • published

    9 Mar 2021

  • disclosed

    15 Jan 2021

  • credit

    Unknown

Introduced: 15 Jan 2021

CWE-284 Open this link in a new tab

How to fix?

Upgrade org.dspace:dspace-server-webapp to version 7.0-beta4.1 or higher.

Overview

Affected versions of this package are vulnerable to Access Restriction Bypass. Multiple access control issues exist in dspace-api development versions. These issues include:

  • The SolrServiceResourceRestrictionPlugin doesn't check for dates on permissions, causing the embargoed items to be returned
  • Discovery ignores the PreAuthorize permissions check which should ensure the item cannot be returned, not even when it's embedded

Note: These issues only exist in unreleased/development versions of DSpace v7.0, and it does not impact any production releases outside of beta/preview releases.

References